> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read Reward

>  

Use this endpoint to read a specific `reward` based on its unique GUID. Member and Rewards guids are defined by MX.


## OpenAPI

````yaml openapi/platform-api/v20111101.yaml GET /users/{user_guid}/members/{member_guid}/rewards/{reward_guid}
openapi: 3.0.0
info:
  contact:
    name: MX Platform API
    url: https://www.mx.com/products/platform-api
  description: >
    The MX Platform API is a powerful, fully-featured API designed to make
    aggregating and enhancing financial data easy and reliable. It can
    seamlessly connect your app or website to tens of thousands of financial
    institutions.
  title: MX Platform API
  version: '20111101'
servers:
  - url: https://int-api.mx.com
  - url: https://api.mx.com
security:
  - basicAuth: []
tags:
  - name: authorization
  - name: widgets
  - name: users
  - name: members
  - name: institutions
  - name: accounts
  - name: transactions
  - name: microdeposits
  - name: managed data
  - name: transaction rules
  - name: statements
  - name: merchants
  - name: categories
  - name: insights
  - name: investment holdings
  - name: spending plan
  - name: goals
  - name: budgets
  - name: monthly cash flow profile
  - name: notifications
  - name: taggings
  - name: tags
  - name: deprecated
  - name: processor token
  - name: verifiable credentials
  - name: rewards
  - name: ach return
paths:
  /users/{user_guid}/members/{member_guid}/rewards/{reward_guid}:
    get:
      tags:
        - rewards
      summary: Read Reward
      description: >-
        Use this endpoint to read a specific `reward` based on its unique GUID.
        Member and Rewards guids are defined by MX.
      operationId: readRewards
      parameters:
        - $ref: '#/components/parameters/userGuid'
        - $ref: '#/components/parameters/memberGuid'
        - $ref: '#/components/parameters/rewardGuid'
      responses:
        '200':
          content:
            application/vnd.mx.api.v1+json:
              schema:
                $ref: '#/components/schemas/RewardResponseBody'
          description: OK
components:
  parameters:
    userGuid:
      description: The unique identifier for a `user`, beginning with the prefix `USR-`.
      example: USR-fa7537f3-48aa-a683-a02a-b18940482f54
      in: path
      name: user_guid
      required: true
      schema:
        type: string
    memberGuid:
      description: The unique id for a `member`.
      example: MBR-7c6f361b-e582-15b6-60c0-358f12466b4b
      in: path
      name: member_guid
      required: true
      schema:
        type: string
    rewardGuid:
      description: The unique identifier for the rewards. Defined by MX.
      example: RWD-fa7537f3-48aa-a683-a02a-b324322f54
      in: path
      name: reward_guid
      required: true
      schema:
        type: string
  schemas:
    RewardResponseBody:
      properties:
        reward:
          allOf:
            - $ref: '#/components/schemas/MemberElements'
            - $ref: '#/components/schemas/RewardElements'
      type: object
    MemberElements:
      properties:
        account_guid:
          example: ACT-283132a4-1401-486a-909e-1605f1623d11
          type: string
        member_guid:
          example: MBR-54feffb9-8474-47bd-8442-de003910113a
          type: string
        user_guid:
          example: USR-101ad774-288b-44ed-ad16-da87d522ea20
          type: string
    RewardElements:
      properties:
        balance_type:
          example: EXPIRING_BALANCE
          type: string
        balance:
          example: 102
          type: integer
        created_at:
          example: 2020-01-28T21:09:01+0000
          type: string
        description:
          example: A description of the reward.
          type: string
        expires_on:
          example: '2020-02-28'
          type: string
        guid:
          example: RWD-1234
          type: string
        unit_type:
          example: POINTS
          type: string
        updated_at:
          example: '2023-06-01T19:18:06Z'
          type: string
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http

````